VPS侦探论坛

 找回密码
 注册
搜索
热搜: pathinfo
查看: 511|回复: 5

1.4LNMPA配置ssl出现问题

[复制链接]
发表于 2018-7-8 14:01:53 | 显示全部楼层 |阅读模式

按照教程配置,自己的ssl,重启出现问题提示
nginx: [emerg] the "http2" parameter requires ngx_http_v2_module in /usr/local/nginx/conf/vhost/www.zshypt.com.conf:4该怎么解决。
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-7-8 20:13:21 | 显示全部楼层

回复 1# 的帖子




你的nginx版本肯定不是lnmp1.4自带的版本,默认自带的nginx版本肯定是支持http2的,你的nginx版本肯定低于1.9.4

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2018-7-8 20:46:59 | 显示全部楼层

我是用1.4lnmpa安装配置的环境啊
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2018-7-9 08:31:01 | 显示全部楼层

你自己nginx -V 看一下
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org/
 楼主| 发表于 2018-7-9 09:28:47 | 显示全部楼层


谢谢军哥,现在找到问题了,怎么恢复到不适用ssl的状态呢,配置文件未备份·1··

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2018-7-9 09:32:57 | 显示全部楼层


我的版本好像是 1.12.1
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2019-4-25 06:59 , Processed in 0.042886 second(s), 26 queries .

Powered by Discuz! X3.4

© 2001-2017 Comsenz Inc.

快速回复 返回顶部 返回列表